/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.Product;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class ProductPrice {
    public void makeProductPrice() {
    }

    /**  */
    public BigDecimal calcPriceFor() {
        return new BigDecimal(0);
    }

    public boolean isValidOnDate() {
        return false;
    }

    public static BigDecimal calcAvgMatlResPrice() {
        return new BigDecimal(0);
    }

    public static Vector listMatlResPrices() {
        return new Vector();
    }

    private int applicableInterval;
    private BigDecimal price;
    private int priceQty;
    private int priceUOM;
    private int status;
}


